Get Checkout

This endpoint retrieves an incomplete individual checkout by token.

Checkout details are only retained in this temporary format for up to 60 minutes. If a checkout token expires or has an order created against it, it can no longer be retrieved from this endpoint. To retrieve a Payment record (Afterpay Order) along with its associated checkout details, see Get Payment By Token.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

tokenstringRequired
The token of the checkout to be retrieved.

Headers

User-AgentstringRequired
AcceptstringOptionalDefaults to application/json

Response

Returns an object combining the [Checkout Request](Checkouts.v2.yaml/components/schemas/Checkout-Request) and [Checkout Response](Checkouts.v2.yaml/components/schemas/Checkout-Response) for a provided token.
amountobject

Object containing amount and currency.

Where a Money object is included in an API request, it will be validated according to the specification above. Invalid Money objects will trigger a 422 Unprocessable Entity response. The following is a list of common examples:

ExampleerrorCodemessage
amount is omitted or nullinvalid_object{Money object}.amount Amount field required
amount has more than 2 decimal placesinvalid_object amountmust be a valid ISO 4217 format value
amount includes a thousands separator comma, for example: “1,000”invalid_amountAmount must be a valid ISO 4217 format value
amount is not a decimal number, for example: “FREE”, “$2” or an empty stringinvalid_object{Money object}.amount Amount field must be a valid ISO 4217 format value
currency is omitted or nullinvalid_object{Money object}.currency Currency field required
currency is not a valid currency code, not all uppercase or an empty stringinvalid_object{Money object}.currency Currency not supported for this merchant
currency is supported by Afterpay, but not valid for the Merchant accountunsupported_currencyAn error occurred
consumerobject

The consumer data model is used for gathering essential user information. It captures details such as the individual’s first name, represented by givenNames, and their last name, captured under surname. In addition, it stores the user’s contact number under phoneNumber and their email address under email. These fields collectively provide indispensable contact and identification details for a user.

agreementslist of objects
List of agreements
billingobject

This data model is used for storing an individual’s contact information. Mandatory fields such as name, line1, area1, region, postcode, and countryCode help in capturing vital information about a user’s location.

The line2 and area2 fields provide additional space for extended addresses, while phoneNumber can be used to store the user’s contact number.

Important Note

The area1, area2 and region properties feature localized terminology based on country. Refer to the property descriptions for insights on each country’s specific usage

courierobject

Essential information for tracking a shipment. The shippedAt key represents the date and time when the item was shipped. This value follows the ISO 8601 standard format for date and time representations.

The name field indicates the courier service employed to handle the shipment (e.g. FEDEX, UPS). For orders that are picked up in-store (also known as Buy-Online-Pickup-Instore), please use “INSTORE_PICKUP” as the name field value.

The tracking key represents a unique tracking number provided by the courier service to monitor the shipment’s progress. It’s a valuable tool for customers and businesses to track and trace their packages.

The priority field tracks the shipping speed or service level associated with the delivery.

customobject
Additional data depending on the goods and services you provide to customers.
discountslist of objects
expiresstring
itemslist of objects
merchantobject
merchantReferencestring
modeenumDefaults to standard

Must be set to express to enable express checkout.

Allowed values:
redirectCheckoutUrlstring
shippingobject

This data model is used for storing an individual’s contact information. Mandatory fields such as name, line1, area1, region, postcode, and countryCode help in capturing vital information about a user’s location.

The line2 and area2 fields provide additional space for extended addresses, while phoneNumber can be used to store the user’s contact number.

Important Note

The area1, area2 and region properties feature localized terminology based on country. Refer to the property descriptions for insights on each country’s specific usage

shippingAmountobject

Object containing amount and currency.

Where a Money object is included in an API request, it will be validated according to the specification above. Invalid Money objects will trigger a 422 Unprocessable Entity response. The following is a list of common examples:

ExampleerrorCodemessage
amount is omitted or nullinvalid_object{Money object}.amount Amount field required
amount has more than 2 decimal placesinvalid_object amountmust be a valid ISO 4217 format value
amount includes a thousands separator comma, for example: “1,000”invalid_amountAmount must be a valid ISO 4217 format value
amount is not a decimal number, for example: “FREE”, “$2” or an empty stringinvalid_object{Money object}.amount Amount field must be a valid ISO 4217 format value
currency is omitted or nullinvalid_object{Money object}.currency Currency field required
currency is not a valid currency code, not all uppercase or an empty stringinvalid_object{Money object}.currency Currency not supported for this merchant
currency is supported by Afterpay, but not valid for the Merchant accountunsupported_currencyAn error occurred
taxAmountobject

Object containing amount and currency.

Where a Money object is included in an API request, it will be validated according to the specification above. Invalid Money objects will trigger a 422 Unprocessable Entity response. The following is a list of common examples:

ExampleerrorCodemessage
amount is omitted or nullinvalid_object{Money object}.amount Amount field required
amount has more than 2 decimal placesinvalid_object amountmust be a valid ISO 4217 format value
amount includes a thousands separator comma, for example: “1,000”invalid_amountAmount must be a valid ISO 4217 format value
amount is not a decimal number, for example: “FREE”, “$2” or an empty stringinvalid_object{Money object}.amount Amount field must be a valid ISO 4217 format value
currency is omitted or nullinvalid_object{Money object}.currency Currency field required
currency is not a valid currency code, not all uppercase or an empty stringinvalid_object{Money object}.currency Currency not supported for this merchant
currency is supported by Afterpay, but not valid for the Merchant accountunsupported_currencyAn error occurred
tokenstring
descriptionstringDeprecated

Errors

404
Not Found Error
412
Precondition Failed Error